# Generated by Django 2.2.2 on 2019-08-09 12:50

from django.db import migrations
from django.contrib.auth.hashers import make_password


def load_setup_data(apps,schema_editor):
    """
    These creates the initial role and admin user. Use the details to login
    then change the email and password immediately once logged in.
    """
    DefaultRole = apps.get_model("accounts", "Role")
    DefaultUser = apps.get_model("accounts", "User")

    role = DefaultRole.objects.create(name="Admin", description="This is a system administrator role.")
    user = DefaultUser.objects.create(
        username="admin",
        email="admin@info.com",
        password=make_password("1234@admin"),
        is_admin=True
        )
    role.save()
    user.save()
    user.groups.add(role)


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0006_auto_20190731_1757'),
    ]

    operations = [
        migrations.RunPython(load_setup_data)
    ]
